curl -X POST https://zeplo.ai/api/transactions/1/refund \
-H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw" \
-H "Content-Type: application/json" \
-d '{ "reason": "Customer requested" }'
{
"success": true,
"message": "Refund processed successfully",
"data": {
"id": 1,
"status": "refunded",
"refundAmount": 29.99,
"refundedAt": "2026-01-15T14:00:00Z"
}
}
Payments
POST Refund
Process a payment refund.
POST
/
api
/
transactions
/
:id
/
refund
curl -X POST https://zeplo.ai/api/transactions/1/refund \
-H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw" \
-H "Content-Type: application/json" \
-d '{ "reason": "Customer requested" }'
{
"success": true,
"message": "Refund processed successfully",
"data": {
"id": 1,
"status": "refunded",
"refundAmount": 29.99,
"refundedAt": "2026-01-15T14:00:00Z"
}
}
Refund transaction
POST /api/transactions/:id/refund
Process a refund for a completed transaction.
Headers
string
required
Session cookie (login via POST /api/auth/login)
Path parameters
integer
required
Transaction ID.
Body parameters
string
Refund reason.
number
Partial refund amount (omit for full refund).
{
"reason": "Customer requested cancellation",
"amount": 29.99
}
curl -X POST https://zeplo.ai/api/transactions/1/refund \
-H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw" \
-H "Content-Type: application/json" \
-d '{ "reason": "Customer requested" }'
{
"success": true,
"message": "Refund processed successfully",
"data": {
"id": 1,
"status": "refunded",
"refundAmount": 29.99,
"refundedAt": "2026-01-15T14:00:00Z"
}
}
Complete transaction
POST /api/transactions/:id/complete
Path parameters
integer
required
Transaction ID.
curl -X POST https://zeplo.ai/api/transactions/1/complete \
-H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw"
Update transaction status
PATCH /api/transactions/:id/status
Body parameters
string
required
New transaction status.
{
"status": "completed"
}
Payment providers
GET /api/payment-providers
List all configured payment providers.
GET /api/payment-providers/active
Get active payment providers.
GET /api/payment-providers/currency-map
Get currency-to-gateway mapping.